Bug 1279377 - (CVE-2015-5311) CVE-2015-5311 pdns: packet parsing bug can lead to crashes (DoS)
CVE-2015-5311 pdns: packet parsing bug can lead to crashes (DoS)
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151109,repor...
: Security
Depends On: 1279492 1279493
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 05:20 EST by Martin Prpič
Modified: 2015-11-24 14:57 EST (History)
2 users (show)

See Also:
Fixed In Version: PowerDNS 3.4.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-11-09 05:20:57 EST
The following flaw was found in PowerDNS Authoritative Server:

A bug was found using afl-fuzz in our packet parsing code. This bug, when exploited, this causes an assertion error and consequent termination of the the pdns_server process, causing a Denial of Service.

When the PowerDNS Authoritative Server is run inside the guardian (--guardian), or inside a supervisor like supervisord or systemd, it will be automatically restarted, limiting the impact to a somewhat degraded service.

PowerDNS Authoritative Server 3.4.4 - 3.4.6 are affected. No other versions are affected. The PowerDNS Recursor is not affected.

PowerDNS Authoritative Server 3.4.7 contains a fix to this issue.
Comment 1 Martin Prpič 2015-11-09 10:03:10 EST
Created pdns tracking bugs for this issue:

Affects: fedora-all [bug 1279492]
Affects: epel-all [bug 1279493]
Comment 2 Martin Prpič 2015-11-09 10:03:52 EST
Upstream patches:

https://downloads.powerdns.com/patches/2015-03/

External References:

https://doc.powerdns.com/md/security/powerdns-advisory-2015-03/
Comment 3 Morten Stevens 2015-11-09 10:26:50 EST
(In reply to Martin Prpic from comment #1)

> Affects: epel-all [bug 1279493]

Only EPEL-7 is affected.
Comment 4 Fedora Update System 2015-11-17 10:50:36 EST
pdns-3.4.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-11-17 13:22:21 EST
pdns-3.4.7-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-11-20 18:23:58 EST
pdns-3.4.7-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-11-24 14:57:38 EST
pdns-3.4.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.